For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
      • GETlist calls
      • POSTcreate a call
      • GETretrieve a call
      • PUTupdate a call
      • DELdelete a call
      • GETget call count
  • REST Platform Management
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Call ControlCalls

update a call

PUT
https://api.jambonz.cloud/v1/Accounts/:AccountSid/Calls/:CallSid
PUT
/v1/Accounts/:AccountSid/Calls/:CallSid
$curl -X PUT https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls/CallSid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Was this page helpful?
Previous

delete a call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequired
CallSidstringRequired

Request

This endpoint expects an object.
call_hookobjectOptional
child_call_hookobjectOptional
call_statusenumOptional
Allowed values:
conf_mute_statusenumOptional
Allowed values:
conf_hold_statusenumOptional
Allowed values:
listen_statusenumOptional
Allowed values:
mute_statusenumOptional
Allowed values:
transcribe_statusenumOptional
Allowed values:
whisperobject or list of objectsOptional
sip_requestobjectOptional
recordobjectOptional
conferenceParticipantActionobjectOptional
dtmfobjectOptional
stream_statusenumOptional
Pause or resume an active stream verb.
Allowed values:
tagmap from strings to anyOptional

Set customer data tags on the call. Freeform key-value object.

dubobjectOptional
Add or remove additional audio tracks on the call.
boostAudioSignaldouble or stringOptional

Boost audio signal by specified decibels (e.g. 6 or “6dB”).

media_pathenumOptional
Update the media path during an active Dial verb.
Allowed values:
noise_isolation_statusenumOptional
Enable or disable noise isolation on the call.
Allowed values:
noise_isolation_vendorstringOptional
Noise isolation vendor. Default is krisp.
noise_isolation_leveldoubleOptional

Noise isolation level 0-100. Default is 100.

noise_isolation_modelstringOptional
Noise isolation model identifier.
agent_updateobjectOptional

Update an active agent verb mid-conversation.

Response

Accepted

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error